Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPASTArrayDesignator

All Superinterfaces:
  `IASTNode`, `ICPPASTDesignator`

public interface ICPPASTArrayDesignator extends ICPPASTDesignator
Array designator, e.g. [4] in int a[6] = { [4] = 29, [2] = 15 };

Since:
  6.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ASTNodeProperty`
`SUBSCRIPT_EXPRESSION`
The relationship between the array designator and the subscript expression.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPASTDesignator

`EMPTY_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`ICPPASTArrayDesignator`
`copy()`
Returns a mutable copy of the tree rooted at this node.
`ICPPASTArrayDesignator`
`copy(IASTNode.CopyStyle style)`
Returns a mutable copy of the tree rooted at this node.
`ICPPASTExpression`
`getSubscriptExpression()`
Returns the subscript expression.
`void`
`setSubscriptExpression(ICPPASTExpression expression)`
Sets the subscript expression.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

## Field Details

### SUBSCRIPT_EXPRESSION

static final ASTNodeProperty SUBSCRIPT_EXPRESSION
The relationship between the array designator and the subscript expression.

## Method Details

### getSubscriptExpression

ICPPASTExpression getSubscriptExpression()
Returns the subscript expression.

### setSubscriptExpression

void setSubscriptExpression(ICPPASTExpression expression)
Sets the subscript expression.

Parameters:
  `expression` - the expression for the subscript

### copy

ICPPASTArrayDesignator copy()
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICPPASTDesignator`

### copy

ICPPASTArrayDesignator copy(IASTNode.CopyStyle style)
Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICPPASTDesignator`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.